org.gjt.sp.jedit.buffer

## Interface FoldHandlerProvider

- All Known Implementing Classes:
    DefaultFoldHandlerProvider, ServiceManager.ServiceFoldHandlerProvider

      public interface FoldHandlerProvider

  Since:
    jEdit 4.3pre10

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FoldHandler` | `getFoldHandler(java.lang.String name)` Returns the fold handler with the specified name, or null if there is no registered handler with that name.
    `java.lang.String[]` | `getFoldModes()` Returns an array containing the names of all registered fold handlers.

- - ### Method Detail

    - #### getFoldHandler

          FoldHandler getFoldHandler(java.lang.String name)

      Returns the fold handler with the specified name, or null if there is no registered handler with that name.
      Parameters:
        `name` - The name of the desired fold handler
      Returns:
        the FoldHandler or null if it doesn't exist
      Since:
        jEdit 4.3pre10

    - #### getFoldModes

          java.lang.String[] getFoldModes()

      Returns an array containing the names of all registered fold handlers.
      Since:
        jEdit 4.0pre6